#!/bin/bash

# $1- Policy to test: apt-get, freshness, removal, optimized, number
# $2- chroot tarball. e.g. lenny32.tgz 

distro="battest_sid"
counter=0

while [ $counter -lt 5 ] 
do

        umount -l /home/prrt/tmp/$distro/$1/chroot/var/cache/apt/archives/
        umount -l /home/prrt/tmp/$distro/$1/chroot/root
        umount -l /home/prrt/tmp/$distro/$1/chroot/mnt/log
        umount -l /home/prrt/tmp/$distro/$1/chroot/mnt/todo
        umount -l /home/prrt/tmp/$distro/$1/chroot/proc
        umount -l /home/prrt/tmp/$distro/$1/chroot/dev

	echo "Creating chroot..."
        cd /home/prrt/tmp/$distro/$1
        rm -rf /home/prrt/tmp/$distro/$1/chroot
        cp -dpR /home/prrt/tmp/$distro/$1/lenny32/ /home/prrt/tmp/$distro/$1/chroot
	 sync

	sleep 3 

	echo "Mounting..."

	mount --bind /dev /home/prrt/tmp/$distro/$1/chroot/dev
	mount --bind /proc /home/prrt/tmp/$distro/$1/chroot/proc
	mount --bind /home/prrt/tmp/$distro/$1/todo /home/prrt/tmp/$distro/$1/chroot/mnt/todo
	mount --bind /home/prrt/tmp/$distro/$1/log /home/prrt/tmp/$distro/$1/chroot/mnt/log
	mount --bind /home/prrt/tmp/$distro/$1/root /home/prrt/tmp/$distro/$1/chroot/root
	mount --bind /home/prrt/tmp/archives_shared /home/prrt/tmp/$distro/$1/chroot/var/cache/apt/archives/

	echo "Chroot..."

	chroot /home/prrt/tmp/$distro/$1/chroot/

	umount -l /home/prrt/tmp/$distro/$1/chroot/var/cache/apt/archives/
	umount -l /home/prrt/tmp/$distro/$1/chroot/root
	umount -l /home/prrt/tmp/$distro/$1/chroot/mnt/log
	umount -l /home/prrt/tmp/$distro/$1/chroot/mnt/todo
	umount -l /home/prrt/tmp/$distro/$1/chroot/proc
	umount -l /home/prrt/tmp/$distro/$1/chroot/dev

	let counter=$counter+1
	echo "Counter: $counter"
done
