#!/usr/bin/perl

# $1- algorithm

my $algorithm=$ARGV[0];
print "Al: $algorithm\n";
use Time::Elapse;

my $pacotes=`ls /mnt/todo/new/  |  head -n 30500`;
my @foo = (split /\n/,$pacotes);

foreach $elem (@foo) {
	my $updatedpkg=0;
	my $newpkg=0;
	my $removepkg=0;
	my $maintainpkg=0;
	my $downgradepkg=0;
	my $status="";
	my $cmdapt;


	system("mv /var/lib/dpkg/info/*.config /var/lib/dpkg/info_config > /dev/null 2>&1");
	system("mv /var/lib/dpkg/info/*post* /var/lib/dpkg/info_config > /dev/null 2>&1");
	system("mv /var/lib/dpkg/info/*pre* /var/lib/dpkg/info_config  > /dev/null 2>&1");

	if ( $algorithm eq "apt-get")  { 
	    $cmdapt = "apt-get -s  -y --allow-unauthenticated --force-yes --no-install-recommends  install " . $elem;
	}
	else {
	    $cmdapt = "/usr/bin/apt-pbo -p=$algorithm install " . $elem; 
	    print "$cmdapt\n";
	}

	if (-e "/var/cache/apt/archives/lock") {
		system("rm /var/cache/apt/archives/lock");
	}
        if (-e "/var/lib/dpkg/lock") {
                system("rm /var/lib/dpkg/lock");
        }


	Time::Elapse->lapse(my $now);

	print "$elem:\n";
	 open(INSTALL, "$cmdapt |") or die "Can't execute '$cmdapt'!\n";
	while (<INSTALL>) {
	       $line = $_;

	       # print "P      " . $line;

	       if (($line =~ /^W:/) || ($line =~ /^E:/)) {
		   chomp($line);
		   $status="$line";        
		} 

	       # is already the newest version
               if ($line =~ /is\salready\sthe\snewest\sversion/) {
		   chomp($line);
		   $status=$line;
               }
	       # Couldn't find package ekigaasa
               if ($line =~ /find\spackage/) {
		   chomp($line);
		   $status=$line;
	       } 

                # is not available, but is referred to by another package
               if ($line =~ /referred\sto\sby\sanother/) {
		   chomp($line);
		   $status=$line;
	       } 
	       # The following packages have unmet dependencies
               if (($line =~ /unmet\sdependencies/) || ($line =~ /Unmet\sdependencies/)) {

		   chomp($line);
		   $status=$line;
                   system("dpkg --configure -a");
		   system("apt-get -y --force-yes -f install");

		
	       }

		# run 'dpkg --configure -a' to 
               if ($line =~ /dpkg\s--configure\s-a/) {
                   chomp($line);
                   $status=$line;
                   system("dpkg --configure -a");
#	   	    system("touch /tmp/ola");
               }


	       if ($algorithm eq "apt-get") {
		   # 0 upgraded, 0 newly installed, 0 to remove and 208 not upgraded
		   if ($line =~ /(\d+)\supgraded,\s+(\d+)\s+newly\sinstalled,\s(\d+)\sto\sremove\sand\s(\d+)\w*/)
		   {
		       $updatedpkg=$1;
		       $newpkg=$2;
		       $removepkg=$3;
		       $maintainpkg=$4;
		       
		   }
	       }
	       else{
		   # Total packages to install: 
		   $newpkg=$1  if ($line =~ /to\sinstall:\s*(\d+)/);

		   # Total packages to update:
		   $updatedpkg=$1  if ($line =~ /to\supdate:\s*(\d+)/);

		   # Total packages to downgrade:
		   $downgradepkg=$1  if ($line =~ /to\sdowngrade:\s*(\d+)/);

		   # Total packages to remove:
		   $removepkg=$1  if ($line =~ /to\sremove:\s*(\d+)/);
	       }

    }

    my $time=$now;
  my ($sec,$min,$hour,$mday,$mon,$year, $wday,$yday,$isdst) = localtime time;

	open (MYFILE, '>>'. "/mnt/log/" .$elem);

	if ( $status eq "" ) {
		print MYFILE "$elem $year-$mon-$mday_$hour:$min:$sec $time $updatedpkg $newpkg $removepkg $maintainpkg $downgradepkg\n";			
	} else
	{
		print MYFILE "$elem $year-$mon-$mday_$hour:$min:$sec $status\n";

	}

	close (MYFILE);

	system("mv /mnt/todo/new/$elem /mnt/todo/old/");


}

